%global spec_ver 1.1
%global spec_name geronimo-annotation_%{spec_ver}_spec

Name:             geronimo-annotation
Version:          1.0
Release:          %mkrel 10
Summary:          Java EE: Annotation API v1.1
Group:            Development/Java
License:          ASL 2.0
URL:              http://geronimo.apache.org/

Source0:          http://repo2.maven.org/maven2/org/apache/geronimo/specs/%{spec_name}/%{version}/%{spec_name}-%{version}-source-release.tar.gz
Patch1:           use_parent_pom.patch
BuildArch:        noarch

BuildRequires:    java-devel >= 0:1.6.0
BuildRequires:    jpackage-utils
BuildRequires:    maven
BuildRequires:    geronimo-parent-poms
BuildRequires:    maven-resources-plugin

Requires:         java >= 0:1.6.0
Requires:         jpackage-utils

Provides:         annotation_api = %{spec_ver}
Provides:         geronimo-annotation-1_1-api = %{spec_ver}
Obsoletes:        geronimo-annotation-1_1-api
%description
This package defines the common annotations.

%package javadoc
Group:            Development/Java
Summary:          Javadoc for %{name}
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{spec_name}-%{version}
sed -i 's/\r//' LICENSE
%patch1 -p0

%build
mvn-rpmbuild  install javadoc:javadoc

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{spec_name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
ln -s %{name}.jar %{buildroot}%{_javadir}/annotation.jar

# poms
install -d -m 0755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar -a "org.apache.geronimo.specs:geronimo-annotation_1.0_spec,javax.annotation:jsr250-api"


# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%files
%doc LICENSE
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%doc LICENSE
%{_javadocdir}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0-10.mga3
+ Revision: 351405
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 26 2012 dmorgan <dmorgan> 1.0-9.mga3
+ Revision: 263773
- Adapt to current guidelines

* Mon Jun 25 2012 dmorgan <dmorgan> 1.0-8.mga3
+ Revision: 263508
- Remove old macro

* Mon Jun 25 2012 dmorgan <dmorgan> 1.0-6.mga3
+ Revision: 263504
+ rebuild (emptylog)

* Tue Aug 02 2011 dmorgan <dmorgan> 1.0-5.mga2
+ Revision: 131297
- Clean spec file

* Tue Jul 19 2011 dmorgan <dmorgan> 1.0-4.mga2
+ Revision: 126333
- imported package geronimo-annotation

